## python-inflate64 1.0.0+ds

=== debian/changelog ===
python-inflate64 (1.0.0+ds-2) unstable; urgency=medium

  * Packaging update
  * Upgrade to new style for debhelper build sequencer
  * Do unit test from pybuild sequencer

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 30 Apr 2024 11:20:56 +0900

python-inflate64 (1.0.0+ds-1) unstable; urgency=medium

  * Initial commit (Closes: #1068314)

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 23 Apr 2024 10:18:08 +0900
