## python-inflate64 1.0.1%2Bds

=== debian/changelog ===
python-inflate64 (1.0.1+ds-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:56:47 +0000

python-inflate64 (1.0.1+ds-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:49:41 +0000

python-inflate64 (1.0.1+ds-1) unstable; urgency=medium

  * New upstream version 1.0.1+ds

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 28 Dec 2024 02:08:54 +0900
