## python-inflate64 1.0.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(CMAKE_CXX_STANDARD 17)
 
 # TARGET PYTHON version
-set(PY_VERSION 3.12)
+set(PY_VERSION 3.13)
 set(Python_FIND_IMPLEMENTATIONS CPython)
 #set(Python_FIND_IMPLEMENTATIONS PyPy)
 set(VENV_PATH "${CMAKE_BINARY_DIR}/venv")
@@ -156,11 +156,6 @@
     return 0;
 }")
 add_executable(pytest_runner ${CMAKE_CURRENT_BINARY_DIR}/pytest_runner.cpp)
-if ("${Python_INTERPRETER_ID}" STREQUAL "PyPy")
-  add_dependencies(pytest_runner generate_cffi)
-else()
-  add_dependencies(pytest_runner build_ext)
-endif()
 target_include_directories(pytest_runner PRIVATE ${Python_INCLUDE_DIRS})
 target_link_libraries(pytest_runner PRIVATE ${Python_LIBRARIES})
 add_dependencies(pytest_runner venv.stamp build_ext)
