=== debian/changelog ===
python-inflate64 (1.0.3+ds-3) unstable; urgency=medium

  * Drop Emacs mode line from debian/watch

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Tue, 30 Sep 2025 12:59:57 +0900

python-inflate64 (1.0.3+ds-2) unstable; urgency=medium

  * Use V5 format for watch file
  * Use local configuration file for salsa CI

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sat, 23 Aug 2025 23:38:24 +0900

python-inflate64 (1.0.3+ds-1) unstable; urgency=medium

  * Upgrade Debian policy to 4.7.2
  * New upstream version 1.0.3+ds

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Thu, 05 Jun 2025 19:40:06 +0900
