=== debian/control ===
Source: python-inflate64
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://codeberg.org/miurahr/inflate64
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-inflate64
Vcs-Git: https://salsa.debian.org/python-team/packages/python-inflate64.git

Package: python3-inflate64
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Enhanced Deflate compression algorithm
 The "inflate64" is a Python package to provide "Deflater" and
 "Inflater" class to compress and decompress with Enhanced Deflate
 compression algorithm.
