## python-inflate64 1.0.4+ds

=== debian/changelog ===
python-inflate64 (1.0.4+ds-2) unstable; urgency=medium

  * Upgrade Debian standards to 4.7.3

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 28 Dec 2025 10:57:05 +0900

python-inflate64 (1.0.4+ds-1) unstable; urgency=medium

  * Lintian fix: redundant-rules-requires-root-no-field
  * New upstream version 1.0.4+ds

 -- YOKOTA Hiroshi <yokota.hgml@gmail.com>  Sun, 30 Nov 2025 22:27:26 +0900
