=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: python-inflate64
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends:
   debhelper-compat (= 13),
   dh-sequence-python3,
@@ -13,8 +12,7 @@
   python3-setuptools-scm,
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: YOKOTA Hiroshi <yokota.hgml@gmail.com>
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://codeberg.org/miurahr/inflate64
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-inflate64
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-inflate64.git
